Atualizar webhook
curl --request PATCH \
--url https://api.vendaze.com/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Nome atualizado do webhook",
"url": "https://meuapp.com/webhooks/vendaze-v2",
"events": [
"person.created",
"person.updated",
"deal.won",
"deal.lost"
],
"auth_enable": false
}
'import requests
url = "https://api.vendaze.com/v1/webhooks/{id}"
payload = {
"name": "Nome atualizado do webhook",
"url": "https://meuapp.com/webhooks/vendaze-v2",
"events": ["person.created", "person.updated", "deal.won", "deal.lost"],
"auth_enable": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Nome atualizado do webhook',
url: 'https://meuapp.com/webhooks/vendaze-v2',
events: ['person.created', 'person.updated', 'deal.won', 'deal.lost'],
auth_enable: false
})
};
fetch('https://api.vendaze.com/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wh_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c",
"name": "Meu webhook",
"url": "https://meuapp.com/webhooks/vendaze",
"events": [
"person.created",
"deal.won"
],
"auth_enable": true,
"webhook_secret": "whsec_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0",
"created_at": "2026-05-26T14:00:00.000Z"
}
}{
"error": {
"code": "bad_request",
"message": "Request body must be valid JSON.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "not_found",
"message": "Webhook not found.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Webhooks
Atualizar webhook
Atualiza um webhook. Apenas campos enviados no body são modificados.
Escopo necessário
Escopo necessário
webhooks:manage
PATCH
/
v1
/
webhooks
/
{id}
Atualizar webhook
Autorizações
Access token OAuth 2.1.
Parâmetros de caminho
ID do webhook.
Corpo
application/json
Novo nome descritivo.
Required string length:
1 - 100Exemplo:
"Nome atualizado do webhook"
Nova URL HTTPS de destino.
Exemplo:
"https://meuapp.com/webhooks/vendaze-v2"
Nova lista de eventos monitorados. Substitui a lista existente por completo.
Minimum array length:
1Nome de um evento válido para monitorar.
Opções disponíveis:
person.created, person.updated, person.deleted, activity.created, activity.updated, activity.deleted, company.created, company.updated, company.deleted, deal.created, deal.updated, deal.stage_changed, deal.won, deal.lost, deal.deleted, task.created, task.updated, task.completed, task.deleted, tag.created, tag.updated, tag.deleted, product.created, product.updated, product.deleted, pipeline.created, pipeline.updated, pipeline.deleted, member_invited, member_joined, member_removed, usage_logs.created Exemplo:
[
"person.created",
"person.updated",
"deal.won",
"deal.lost"
]
false para true: gera um novo webhook_secret. true para false: deleta permanentemente o webhook_secret existente. Sem alteração: webhook_secret não é modificado.
Exemplo:
false
Resposta
Webhook atualizado com sucesso.
Show child attributes
Show child attributes